Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IReactorUNIX``

interface documentation

`class IReactorUNIX(Interface): (source)`

Known implementations: `twisted.internet.posixbase.PosixReactorBase`, `twisted.internet.testing.MemoryReactor`, `twisted.internet.testing.RaisingMemoryReactor`

View In Hierarchy

UNIX socket methods.

Method | `connectUNIX` | Connect a client protocol to a UNIX socket.
Method | `listenUNIX` | Listen on a UNIX socket.

def connectUNIX(address: `str`, factory: `ClientFactory`, timeout: `float` = 30, checkPID: `bool` = False) -> `IConnector`: (source)

Connect a client protocol to a UNIX socket.

Parameters
address:`str` | a path to a unix socket on the filesystem.
factory:`ClientFactory` | a `twisted.internet.protocol.ClientFactory` instance
timeout:`float` | number of seconds to wait before assuming the connection has failed.
checkPID:`bool` | if True, check for a pid file to verify that a server is listening. If `address` is a Linux abstract namespace path, this must be `False`.

Returns
`IConnector` | An object which provides `IConnector`.

def listenUNIX(address: `str`, factory: `Factory`, backlog: `int` = 50, mode: `int` = 438, wantPID: `bool` = False) -> `IListeningPort`: (source)

Listen on a UNIX socket.

Parameters
address:`str` | a path to a unix socket on the filesystem.
factory:`Factory` | a `twisted.internet.protocol.Factory` instance.
backlog:`int` | number of connections to allow in backlog.
mode:`int` | The mode (not umask) to set on the unix socket. See platform specific documentation for information about how this might affect connection attempts.
wantPID:`bool` | if True, create a pidfile for the socket. If `address` is a Linux abstract namespace path, this must be `False`.

Returns
`IListeningPort` | An object which provides `IListeningPort`.